<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('equipment', function (Blueprint $table) {
            $table->id();
            $table->string('reference')->unique();
            $table->foreignId('product_id')->constrained('products')->cascadeOnDelete('set null');
            $table->foreignId('user_id')->constrained('users')->cascadeOnDelete('set null');
            $table->string('serial_number')->nullable();
            $table->string('brand')->nullable(); // marque de l'équipement
            $table->foreignId('department_id')->constrained('departments')->cascadeOnDelete('set null');
            $table->enum('etats', ['neuf', 'bon', 'defectueux', 'hors_service'])->default('neuf');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('equipment');
    }
};